Method: projects.regions.workflowTemplates.update

Updates (replaces) workflow template. The updated template must contain version that matches the current server version.

HTTP request

PUT https://dataproc.googleapis.com/v1/{template.name=projects/*/regions/*/workflowTemplates/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
template.name

string

Output only. The resource name of the workflow template, as described in https://cloud.google.com/apis/design/resource_names.

  • For projects.regions.workflowTemplates, the resource name of the template has the following format: projects/{projectId}/regions/{region}/workflowTemplates/{template_id}

  • For projects.locations.workflowTemplates, the resource name of the template has the following format: projects/{projectId}/locations/{location}/workflowTemplates/{template_id}

Request body

The request body contains an instance of WorkflowTemplate.

Response body

If successful, the response body contains an instance of WorkflowTemplate.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/dataproc

For more information, see the Authentication Overview.